package models

type CardRequest struct {
	Cards  []Card `json:"cards"`
	Locale string `json:"locale" enums:"en,de"`
}

type Card struct {
	ID      int    `json:"id"`
	Enabled bool   `json:"enabled"`
	Runner  Runner `json:"runner"`
	Code    string `json:"code"`
}

type CardTemplateOptions struct {
	CardSegments  []CardTemplateSegment `json:"card_segments"`
	EventName     string                `json:"event_name"`
	CardSubtitle  string                `json:"card_subtitle"`
	BarcodeFormat string                `json:"barcode_format"`
	BarcodePrefix string                `json:"barcode_prefix"`
}

type CardTemplateSegment struct {
	Cards        []Card `json:"cards"`
	CardsSwapped []Card `json:"cards_swapped"`
}
